tbb::flow::interface11::opencl_info::default_opencl_factory Class Reference

`#include <flow_graph_opencl_node.h>`

Inheritance diagram for tbb::flow::interface11::opencl_info::default_opencl_factory:
Collaboration diagram for tbb::flow::interface11::opencl_info::default_opencl_factory:

## Public Types

template<typename T >
using | async_msg_type = opencl_async_msg< T, default_opencl_factory >
Public Types inherited from tbb::flow::interface11::opencl_factory< default_device_filter >
using | async_msg_type = opencl_async_msg< T, opencl_factory< default_device_filter > >
typedef opencl_device | device_type
typedef kernel | kernel_type
typedef opencl_range | range_type

## Private Member Functions

| default_opencl_factory ()=default
Private Member Functions inherited from tbb::internal::no_copy
| no_copy (const no_copy &)=delete
| no_copy ()=default

## Friends

default_opencl_factory & | default_factory ()

## Additional Inherited Members

Public Member Functions inherited from tbb::flow::interface11::opencl_factory< default_device_filter >
| opencl_factory ()
| ~opencl_factory ()
bool | init (const opencl_device_list &device_list)
void | send_kernel (opencl_device device, const kernel_type &kernel, const range_type &work_size, Args &... args)
void | send_data (opencl_device device, T &t, Rest &... args)
void | send_data (opencl_device)
void | finalize (opencl_device device, FinalizeFn fn, Args &... args)
const opencl_device_list & | devices ()

## Detailed Description

Definition at line 1207 of file flow_graph_opencl_node.h.

## Member Typedef Documentation

## async_msg_type

template<typename T >

using tbb::flow::interface11::opencl_info::default_opencl_factory::async_msg_type = opencl_async_msg<T, default_opencl_factory>

Definition at line 1209 of file flow_graph_opencl_node.h.

## Constructor & Destructor Documentation

## default_opencl_factory()

tbb::flow::interface11::opencl_info::default_opencl_factory::default_opencl_factory | ( |  | ) |

private default

## Friends And Related Function Documentation

## default_factory

default_opencl_factory& default_factory | ( |  | ) |

friend

Definition at line 1217 of file flow_graph_opencl_node.h.

{
static default_opencl_factory default_factory;
return default_factory;
}
tbb::flow::interface11::opencl_info::default_opencl_factory::default_opencl_factory
default_opencl_factory()=default
tbb::flow::interface11::opencl_info::default_opencl_factory::default_factory
friend default_opencl_factory & default_factory()
Definition: flow_graph_opencl_node.h:1217

The documentation for this class was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.